{pkgs, ...}: {
  imports = [
    ./xwayland-sat.nix
    ./screenshot.nix
    ./input.nix
    ./binds.nix
    ./style.nix
  ];
  programs.niri.settings = {
    outputs."eDP-1" = {
      scale = 1.0;
    };

    spawn-at-startup = [
      {
        command = ["eww" "open-many" "topBar" "bottomBar"];
      }
      {
        command = [
          "${pkgs.swaybg}/bin/swaybg"
          "-i"
          "${../xmonad/wallpaper/wallpaper.jpg}"
          "-m"
          "fill"
        ];
      }
    ];

    window-rules = [
      # TODO: privacy screen rules
      # {
      #   geometry-corner-radius = let val = 1.; in {
      #     bottom-left = val;
      #     bottom-right = val;
      #     top-left = val;
      #     top-right = val;
      #   };
      #   clip-to-geometry = true;
      # }
    ];

    environment.ELECTRON_OZONE_PLATFORM_HINT = "auto";
  };
}
